package market.Lms.FixedAssets.vo;

import java.util.Date;

import market.Lms.FixedAssets.mapper.LmsFixedPropertyMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="LMS_FIXED_PROPERTY", namespace=LmsFixedPropertyMapper.class)
public class LmsFixedProperty extends BaseVO{

	@Id
	//资产编号
	private String fixed_no;
	
	@Column
	//资产名称
	private String fixed_name;
	
	@Column
	//资产类别
	private String fixed_category_no;
	
	@Column
	//资产类别
	private String fixed_category_name;
	
	@Column
	//单价
	private Double price;
	
	@Column
	//单位
	private String unit_no;
	
	@Column
	//单位
	private String unit_name;
	
	@Column
	//存放区域
	private String region_no;
	
	@Column
	//存放区域
	private String region_name;
	
	@Column
	//存放地点
	private String place;
	
	@Column
	//所属部门编号
	private String department_no;
	
	@Column
	//所属部门名称
	private String department_name;
	
	@Column
	//规格型号
	private String spec_model;
	
	@Column
	//SN码
	private String sn_code;
	
	@Column
	//使用期限
	private String time_limit;
	
	@Column
	//备注
	private String memo;
	
	@Column
	//创建人编号
	private String create_man_no;
	
	@Column
	//创建人
	private String create_man_name;
	
	@Column
	@JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
	//创建时间
	private Date create_time;

	public String getFixed_no() {
		return fixed_no;
	}

	public void setFixed_no(String fixed_no) {
		this.fixed_no = fixed_no;
	}

	public String getFixed_name() {
		return fixed_name;
	}

	public void setFixed_name(String fixed_name) {
		this.fixed_name = fixed_name;
	}


	public Double getPrice() {
		return price;
	}

	public void setPrice(Double price) {
		this.price = price;
	}

	public String getUnit_name() {
		return unit_name;
	}

	public void setUnit_name(String unit_name) {
		this.unit_name = unit_name;
	}

	public String getFixed_category_no() {
		return fixed_category_no;
	}

	public void setFixed_category_no(String fixed_category_no) {
		this.fixed_category_no = fixed_category_no;
	}

	public String getFixed_category_name() {
		return fixed_category_name;
	}

	public void setFixed_category_name(String fixed_category_name) {
		this.fixed_category_name = fixed_category_name;
	}

	public String getUnit_no() {
		return unit_no;
	}

	public void setUnit_no(String unit_no) {
		this.unit_no = unit_no;
	}

	public String getRegion_no() {
		return region_no;
	}

	public void setRegion_no(String region_no) {
		this.region_no = region_no;
	}

	public String getRegion_name() {
		return region_name;
	}

	public void setRegion_name(String region_name) {
		this.region_name = region_name;
	}

	public String getPlace() {
		return place;
	}

	public void setPlace(String place) {
		this.place = place;
	}

	public String getDepartment_no() {
		return department_no;
	}

	public void setDepartment_no(String department_no) {
		this.department_no = department_no;
	}

	public String getDepartment_name() {
		return department_name;
	}

	public void setDepartment_name(String department_name) {
		this.department_name = department_name;
	}

	public String getSpec_model() {
		return spec_model;
	}

	public void setSpec_model(String spec_model) {
		this.spec_model = spec_model;
	}

	public String getSn_code() {
		return sn_code;
	}

	public void setSn_code(String sn_code) {
		this.sn_code = sn_code;
	}

	public String getTime_limit() {
		return time_limit;
	}

	public void setTime_limit(String time_limit) {
		this.time_limit = time_limit;
	}

	public String getMemo() {
		return memo;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

	public String getCreate_man_no() {
		return create_man_no;
	}

	public void setCreate_man_no(String create_man_no) {
		this.create_man_no = create_man_no;
	}

	public String getCreate_man_name() {
		return create_man_name;
	}

	public void setCreate_man_name(String create_man_name) {
		this.create_man_name = create_man_name;
	}

	public Date getCreate_time() {
		return create_time;
	}

	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

}
